% MATLAB function that coordinates the calculations for Activity 33.1 of "A
% First Course on Kinetics and Reaction Engineering."
%
function [z,concA] = Activity_33_1
    % Get the data to plot
    [za,ca] = Activity_33_1_ad(0.1,400);
    [zb,cb] = Activity_33_1_ad(1,400);
    [zc,cc] = Activity_33_1_ad(10,400);
    [zd,cd] = Activity_33_1_ad(100,400);
    [ze,ce] = Activity_33_1_ad(1000,400);
    
    % Make the plot
    plot(za,ca,zb,cb,zc,cc,zd,cd,ze,ce)
    xlabel('Axial Position (m)')
    ylabel('Concentration of A (M)')
    legend('Dax = 0.1','Dax = 1','Dax = 10','Dax = 100','Dax = 1000')
    
end % of file Activity_33_1.m
